WKSChart::Axis Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
WKSChart::Axis Struct Reference

a axis in a chart More...

`#include <WKSChart.h>`

## Public Types
enum | Type { A_None, A_Numeric, A_Logarithmic, A_Sequence, A_Sequence_Skip_Empty }
| the axis content More...

## Public Member Functions
| Axis ()
| constructor More...
| ~Axis ()
| destructor More...
void | addContentTo (int coord, librevenge::RVNGPropertyList &propList) const
| add content to the propList More...
void | addStyleTo (librevenge::RVNGPropertyList &propList) const
| add style to the propList More...

## Public Attributes
Type | m_type
| the sequence type More...
bool | m_automaticScaling
| automatic scaling (or manual) More...
Vec2f | m_scaling
| the minimum, maximum scaling(if manual) More...
bool | m_showGrid
| show or not the grid More...
bool | m_showLabel
| show or not the label More...
Position | m_cellRanges [2]
| the cell/label range if defined More...
Position | m_labelRanges [2]
| the label range if defined More...
bool | m_showTitle
| show or not the title/subtitle More...
Position | m_titleRange
| the title cell range More...
librevenge::RVNGString | m_title
| the title label More...
librevenge::RVNGString | m_subTitle
| the subtitle label More...
WPSGraphicStyle | m_style
| the graphic style More...

## Friends
std::ostream & | operator<< (std::ostream &o, Axis const &axis)
| operator<< More...

## Detailed Description

a axis in a chart

## Member Enumeration Documentation

## ◆ Type

enum WKSChart::Axis::Type

the axis content

Enumerator
A_None |
A_Numeric |
A_Logarithmic |
A_Sequence |
A_Sequence_Skip_Empty |

## Constructor & Destructor Documentation

## ◆ Axis()

WKSChart::Axis::Axis | ( |  | ) |

constructor

## ◆ ~Axis()

WKSChart::Axis::~Axis | ( |  | ) |

destructor

## Member Function Documentation

## ◆ addContentTo()

void WKSChart::Axis::addContentTo | ( | int | coord,
|  | librevenge::RVNGPropertyList & | propList
| ) |  | const

add content to the propList

Referenced by WKSChart::sendChart().

## ◆ addStyleTo()

void WKSChart::Axis::addStyleTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add style to the propList

Referenced by WKSChart::sendChart().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | WKSChart::Axis const & | axis
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_automaticScaling

bool WKSChart::Axis::m_automaticScaling

automatic scaling (or manual)

Referenced by addStyleTo(), and operator<<().

## ◆ m_cellRanges

Position WKSChart::Axis::m_cellRanges[2]

the cell/label range if defined

Referenced by addContentTo(), operator<<(), and LotusChart::updateChart().

## ◆ m_labelRanges

Position WKSChart::Axis::m_labelRanges[2]

the label range if defined

Referenced by addContentTo(), and operator<<().

## ◆ m_scaling

Vec2f WKSChart::Axis::m_scaling

the minimum, maximum scaling(if manual)

Referenced by addStyleTo(), and operator<<().

## ◆ m_showGrid

bool WKSChart::Axis::m_showGrid

show or not the grid

Referenced by addContentTo(), and operator<<().

## ◆ m_showLabel

bool WKSChart::Axis::m_showLabel

show or not the label

Referenced by addContentTo(), addStyleTo(), and operator<<().

## ◆ m_showTitle

bool WKSChart::Axis::m_showTitle

show or not the title/subtitle

Referenced by addContentTo(), and operator<<().

## ◆ m_style

WPSGraphicStyle WKSChart::Axis::m_style

the graphic style

Referenced by addStyleTo(), WKSChart::Legend::addStyleTo(), Axis(), and operator<<().

## ◆ m_subTitle

librevenge::RVNGString WKSChart::Axis::m_subTitle

the subtitle label

Referenced by addContentTo(), and operator<<().

## ◆ m_title

librevenge::RVNGString WKSChart::Axis::m_title

the title label

Referenced by addContentTo(), and operator<<().

## ◆ m_titleRange

Position WKSChart::Axis::m_titleRange

the title cell range

Referenced by addContentTo(), operator<<(), and LotusChart::updateChart().

## ◆ m_type

Type WKSChart::Axis::m_type

the sequence type

Referenced by addContentTo(), addStyleTo(), operator<<(), and WKS4Chart::updateChart().

The documentation for this struct was generated from the following files:

- WKSChart.h
- WKSChart.cpp